package de.hs_mannheim.informatik.spreadsheet;
import java.util.Scanner;
import java.io.FileNotFoundException;

/**
 * Part of a simplified spreadsheet system for the PR1 programming lab at Hochschule Mannheim.
 *
 * @author  Oliver Hummel
 */
public class Axel {

	public static void main(String[] args) throws FileNotFoundException {
		Scanner sc = new Scanner(System.in);
		Scanner scanner = new Scanner(System.in);
		System.out.println("Wie viele Zeilen soll das Spreadsheet haben? (1-99)");

		int eingabeR = scanner.nextInt();
		if (eingabeR > 99) {
			System.out.println("Eingabe überschreitet das Maximum. Eingabe wird zu 99 gesetzt");
			eingabeR = 99;
		} else {
			System.out.println("Eingabe ist möglich");
		}
		System.out.println("Wie viele Spalten soll das Spreadsheet haben? (1-26)");
		int eingabeC = scanner.nextInt();
		if (eingabeC > 26) {
			System.out.println("Eingabe überschreitet das Maximum. Eingabe wird zu 26 gesetzt");
			eingabeC = 26;
		} else {
			System.out.println("Eingabe ist möglich");
		}
		//Begrenzung der Zeilen und Spalten größe durch if Abfrage.
		// Wert wird automatisch bei Überschreitung zum Maximum

		//Tabellengröße anpassen nach "Wahl"
		Spreadsheet spr = new Spreadsheet(eingabeR, eingabeC);
		spr.readCsv("C:\\Users\\sebas\\IdeaProjects\\PR1-Spreadsheet\\Axel\\resources\\zahlen.csv",',', "A1");
		// csv auslesen

		//spr.put("A1", "123");
		spr.put("A2", "1");

		spr.put("B9", "=41+A2");
		spr.put("J5", "=7*6");
		spr.put("J6", "=3/2");

		System.out.println(spr);

		//spr.saveCsv("C:\\Users\\sebas\\IdeaProjects\\PR1-Spreadsheet\\Axel\\resources\\zahlen.csv");

		// TODO: You might want to put "UI loop" for entering value and formulas here resp. in some UI methods.

		System.out.println("Möchten Sie, die Tabelle bearbeiten (j/n)");

		String eingabe = "";
		String eingabeCR = "";
		String eingabeValue = "";


		do {
			eingabe = sc.nextLine();
			if (eingabe.equals("j")) {
				System.out.println("Geben Sie die Spalte (A-Z) und die Zeile (1-99)");
				eingabeCR = sc.nextLine();
				System.out.println("Weisen Sie jetzt einen Wert zu");
				eingabeValue = sc.nextLine();
				spr.put(eingabeCR, eingabeValue);
				System.out.println();
				System.out.println(spr);
				System.out.println("Möchten Sie weiter machen(j/n)?");

			} else if (eingabe.equals("n")) {
				//System.out.println("Das Programm wird beendet");
				break;

			} else {
				System.out.println("Falsche eingabe bitte erneut versuchen");
			}
		} while (true);
		System.out.println("Möchten Sie die Änderungen an der Tabelle speichern? (j/n)");
		eingabe = sc.nextLine();
		if(eingabe.equals("j"))
		{
			spr.saveCsv("C:\\Users\\sebas\\IdeaProjects\\PR1-Spreadsheet\\Axel\\resources\\zahlen.csv");
			System.out.println("Das Programm wird beendet");
		} else{
			System.out.println("Tabelle wird nicht gespeichert. Das Programm wird beendet");
		}

		// Speichern der Tabelle bzw Inhalt der Textdatei(Änderungen)
	}
}







